{% extends 'base.html.twig' %}

{% block title 'Profile' %}

{% block body %}
    <div class"container-fluid">
        <div class="row">
            <div class="col-md-6 mx-auto text-center">
                <h1 class="my-5">Profile</h1>
                
                <i class="fas fa-user-cog fa-10x"></i>

                <p class="mt-3 lead">{{ app.user.email }}</p>

                <hr>

                <h2>{{ app.user.fullName }}</h2>

                <p>
                    <a href="{{ path('admin_account_edit') }}">Edit Account</a> | 
                    <a href="{{ path('admin_account_change_password') }}">Change Password</a>
                </p>

                <hr>

                {% if app.user.pack is defined %}
                    {% if app.user.pack is null %}
                        <div class="mt-3">
                            <b>No active pack</b></h5>
                        </div>
                    {% else %}
                        <div class="mt-3">
                            <h5>Active pack: <b>Pack {{ app.user.pack.name }}</b></h5>
                            <p>(Up to: {{ app.user.pack.nbrProfessors }} professors | {{ app.user.pack.nbStudents }} students)</p>
                        </div>
                    {%  endif %}
                {% else %}
                    <div class="mt-3">
                        <h5>Active pack: <b>No active pack</b></h5>
                    </div>
                {% endif %}

            </div>
        </div>
    </div>
{% endblock %}
